MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
LTIMetadataWriter Class Referenceabstract

abstract class for exporting a metadata database More...

`#include <lti_metadataWriter.h>`

Inheritance diagram for LTIMetadataWriter:
[legend]
Collaboration diagram for LTIMetadataWriter:
[legend]

## Public Member Functions
virtual | ~LTIMetadataWriter ()
| destructor More...
virtual LT_STATUS | write () const =0
| write records out from database More...

## Protected Member Functions
| LTIMetadataWriter (const LTIMetadataDatabase &database)
| default constructor More...

## Protected Attributes
const LTIMetadataDatabase & | m_database
| the database to be written from More...

## Detailed Description

This abstract class provides an interface for exporting metadata records from an LTIMetadataDatabase to a foreign source.

This is used, for example, to provide a mechanism for writing the format-neutral, in-memory database into binary TIFF tag format. it is also used to dump the database to plain-text format (for debugging).

Definition at line 39 of file lti_metadataWriter.h.

## Constructor & Destructor Documentation

virtual LTIMetadataWriter::~LTIMetadataWriter | ( | ) |  |
| virtual

LTIMetadataWriter::LTIMetadataWriter | ( | const LTIMetadataDatabase & | database) |  |
| protected

This base constructor creates a writer object which can export records from a database to some foreign format.

Parameters

  database | the database to be read into

## Member Function Documentation

virtual LT_STATUS LTIMetadataWriter::write | ( | ) |  | const
| pure virtual

This function must be implemented in the derived class. It should write each of the LTIMetadataRecord objects in the database out to the foreign format.

Returns
  status code indicating success or failure

Implemented in LTIMetadataDumper.

## Member Data Documentation

const LTIMetadataDatabase& LTIMetadataWriter::m_database
| protected

This is the database to be written out from. Derived classes may access it directly.

Definition at line 75 of file lti_metadataWriter.h.

The documentation for this class was generated from the following file:

- lti_metadataWriter.h

LizardTech